Summary: high-security DNS server from djb
Name: dnscache
Version: 1.00
Release: 1
Source0: http://cr.yp.to/dnscache/dnscache-%{PACKAGE_VERSION}.tar.gz
Source1: http://cr.yp.to/dnscache/doc.tar.gz
URL: http://cr.yp.to/dnscache.html
License: Freely Redistributable
Group: System Environment/Daemons
BuildRoot: /var/tmp/dnscache-rpmroot
%description

dnscache includes a caching DNS server, and various other small
servers for other DNS serving roles. The package is intended as a
high-security replacement for bind.

%changelog
* Sun Mar 26 2000 Edward S. Marshall <emarshal@logic.net>
  - Updated to version 1.00.
  - Added DJB's documentation in a first-cut form.
* Mon Feb 21 2000 Bennett Todd <bet@rahul.net>
  - Version 0.85 Release 2, made BuildRoot-relative version thanks to tips
    from Mate Wierdl <mw@moni.msci.memphis.edu>
* Tue Feb  1 2000 Bennett Todd <bet@rahul.net>
  - initial wrap of Version 0.80 Release 1

%prep
%setup -a 1
echo /usr >conf-home

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{etc,bin}
rm install instcheck
echo $RPM_BUILD_ROOT/usr >conf-home
make install instcheck
./install
./instcheck

%files
%defattr(-,root,root)
%doc README VERSION CHANGES TODO doc
/usr/etc/dnscache/@
/usr/etc/dnscache/VERSION
/usr/bin/axfr-get
/usr/bin/axfrdns
/usr/bin/axfrdns-conf
/usr/bin/dnscache
/usr/bin/dnscache-conf
/usr/bin/dnsfilter
/usr/bin/dnsip
/usr/bin/dnsipq
/usr/bin/dnsmx
/usr/bin/dnsname
/usr/bin/dnsq
/usr/bin/dnstrace
/usr/bin/dnstxt
/usr/bin/pickdns
/usr/bin/pickdns-conf
/usr/bin/pickdns-data
/usr/bin/random-ip
/usr/bin/rbldns
/usr/bin/rbldns-conf
/usr/bin/rbldns-data
/usr/bin/tinydns
/usr/bin/tinydns-conf
/usr/bin/tinydns-data
/usr/bin/tinydns-edit
/usr/bin/tinydns-get
/usr/bin/walldns
/usr/bin/walldns-conf
